1

On version 2.1.12 when I click on backups in the admin menu I get the below

There has been an error processing your request Object DOMDocument should be created.

In the logs I see this.

[2018-03-24 12:28:33] main.CRITICAL: Warning: Declaration of Magento\Backup\Model\Backup\Interceptor::getFile() should be compatible with & Magento\Backup\Model\Backup::getFile() in /home/staging/public_html/var/generation/Magento/Backup/Model/Backup/Interceptor.php on line 7 [] []

I have googled but cant find anything with this issue, has anyone ever seen this before? Seems to be the only admin menu doing this. have deleted var/cache, page_cache, generation and view_processed and deployed static files but no fix.

0

I had a similar issue and compiling di resolved it in my case.So execute following commands ;

php bin/magento setup:di:compile
php bin/magento cache:flush
chmod -R 777 var pub

Hope it solves your issue.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.